<template lang="pug">
BaseAnimationGroup(anim='width')
  template(v-if="loading")
    .spinner-border.spinner-border-sm.text-dark.mr-2.mb-1(key='loading' role='status')
  template(v-else)
    .badge.badge-danger.mx-1(v-if='errors > 0' key='errors') {{ errors }}
    .badge.badge-warning.mx-1(v-if='warnings > 0' key='warnings') {{ warnings }}
    i.fas.fa-check-circle.mx-1(v-if='!warnings && !errors' key='ok')
</template>
<script src='./SideBarBadge.vue.js' />
